[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.DrawAllRows

Draws all data rows in grid control.

## Declaration

Source position: dbgrids.pas line 441

`protected procedure TCustomDBGrid.DrawAllRows; override;`

## Description

DrawAllRows is an overridden procedure used to draw all data rows for the control. DrawAllRows checks the DataLink property to determine if a DataSet is available for the operation. When DataLink is marked as Active, its ActiveRecord is used to reposition the DataSet after the drawing operation is completed. DrawAllRows calls the inherited method, and restores the position of the DataSet prior to exiting from the method.

## See also

TCustomGrid.DrawAllRows |  | Draws all of the rows for the grid.